%define pcscver 1.3.0
%define pcsclib %{_libdir}/libpcsclite.so.1

Name:           pcsc-perl
Version:        1.4.1
Release:        1.ML5
Summary:        Perl interface to the PC/SC smart card library

Group:          Development/Libraries
License:        GPL
URL:            http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
Source0:        http://ludovic.rousseau.free.fr/softwares/pcsc-perl/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl
BuildRequires:  pcsc-lite-devel >= %{pcscver}
Requires:       %{pcsclib}
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl-pcsc = %{version}-%{release}

%description
This package contains a Perl interface to the PC/SC smart card
library.


%prep
%setup -q
chmod 644 examples/* # avoid dependencies
f=README ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" DEFINE=-Wall
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
# tests need configured readers etc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog LICENCE README examples/
%{_libdir}/perl5/vendor_perl/5.8.8/%{_arch}-linux-thread-multi/auto/Chipcard/
%{_libdir}/perl5/vendor_perl/5.8.8/%{_arch}-linux-thread-multi/Chipcard/
%{_mandir}/man3/Chipcard::PCSC*.3*


%changelog
* Thu Mar 23 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Mar  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.4.1-1
- 1.4.1.
- Don't hardcode required pcsc-lite-libs version, use shared lib file instead.
- Convert docs to UTF-8.

* Wed Feb 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.3.1-8
- Rebuild, cosmetics.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.3.1-7
- rebuild on all arches

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.3.1-6
- Provide perl-pcsc, fixate required pcsc-lite version to 1.2.0.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.3.1-5
- rebuilt

* Fri Jan  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-4
- Honor $RPM_OPT_FLAGS, remove (some) extra include dirs from build (#1281).
- Improve summary and description.

* Wed May 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-0.fdr.3
- BuildRequire perl >= 1:5.6.1 for vendor install dir support.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Fri Apr  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-0.fdr.1
- Update to 1.3.1.

* Sun Feb  8 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.0-0.fdr.2
- Reduce directory ownership bloat.

* Wed Dec 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.0-0.fdr.1
- Update to 1.3.0.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.4
- More spec cleanups.

* Wed Aug 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.3
- Spec cleanups, install into vendor dirs.

* Fri Jul  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.2
- Fix dir ownerships, non-root strip during build.

* Thu May 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.2-0.fdr.1
- Update to 1.2.2.
- Drop patch and hacks, already applied/fixed upstream.

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.1-0.fdr.1
- Update to 1.2.1.
- Fix build and runtime dependencies.

* Thu May 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.1
- First build.
